{% extends 'IPL/index.html' %}

{% block content %}
<script>
    fetch('http://localhost:8000/api/api_extra_runs_conceded')
    .then( (resp) => resp.json())
    .then((data)=> plot_chart(data))

    function array_format(data){
        data_format = []
        for(let x in data){
            temp_array = []
            temp_array.push(x)
            temp_array.push(data[x])
            data_format.push(temp_array)
        }
        return data_format
    }
    function plot_chart(data){
        
        data_format = array_format(data)
    Highcharts.chart('container', {
    chart: {
        type: 'column',
    },
    title: {
        text: 'Extra Runs Conceded in 2016'
    },
    xAxis: {
        type: 'category',
        labels: {
        style: {
            fontSize: '13px',
            fontFamily: 'Verdana, sans-serif'
        },
        },
        title: {
        text: 'Team'
        }
    },
    yAxis: {
        min: 0,
        title: {
        text: 'Extra Runs'
        }
    },
    legend: {
        enabled: false
    },
    tooltip: {
        pointFormat: '<b>{point.y} matches</b>'
    },
    series: [{
        name: 'Matches',
        data: data_format,
        dataLabels: {
        enabled: true,
        rotation: -90,
        color: '#FFFFFF',
        align: 'right',
        format: '{point.y}',
        y: 10,
        style: {
            fontSize: '13px',
            fontFamily: 'Verdana, sans-serif'
        }
        }
    }]
    });
    }
</script>
{% endblock %}
